How JustAnswer Works:

  • Ask an Expert
    Experts are full of valuable knowledge and are ready to help with any question. Credentials confirmed by a Fortune 500 verification firm.
  • Get a Professional Answer
    Via email, text message, or notification as you wait on our site.
    Ask follow up questions if you need to.
  • 100% Satisfaction Guarantee
    Rate the answer you receive.

Ask Ashik Your Own Question

Ashik, Mac Technician
Category: Mac
Satisfied Customers: 9769
Experience:  Bachelor of Computer Application (BCA), 9+ Years of Experience in troubleshooting Macs, iPhone, iPad, iPod etc
Type Your Mac Question Here...
Ashik is online now
A new question is answered every 9 seconds

I have a G5 that is about 7years old. I need to update it so

This answer was rated:

I have a G5 that is about 7years old. I need to update it so I can use updated software. I've seen an update package for sale at the apple store. Is this all I need? What else?
Hi My name isXXXXX hope i can help you.
Could you please give me the hardware specs of your Mac ?
Customer: replied 5 years ago.
what do you mean by hardware specs? It's a G5 iMac...what else do you need to know?
Ram, processor speed etc. Click on Apple icon and select About This. Mac, click More Info. You can find the details in there....
Customer: replied 5 years ago.
Machine Name: iMac G5
Machine Model: PowerMac8,2
CPU Type: PowerPC G5 (3.0)
Number Of CPUs: 1
CPU Speed: 2 GHz
L2 Cache (per CPU): 512 KB
Memory: 512 MB
Bus Speed: 667 MHz
Boot ROM Version: 5.2.5f1
Serial Number: W85330UZSDY
You can upgrade your Mac OS X into 10.5 Leopard, but not into 10.6 Snow Leopard or later. Buy the 10.5 Leopard installation discs, put it to your Mac and follow onscreen instructions to upgrade your Mac.

You can buy the Mac OS X 10.5 Leopard from online stores like, etc. I'd recommend to buy it from as you'll get genuine product from them.

Leopard supports most of all applications...Let me know if you have any questions. Only click Accept if you are satisfied...

PS : You can check the current version of Mac OS X you are using from Apple > About This Mac.

Best Regards,
Customer: replied 5 years ago.
what is the reason I can't upgrade to snow leopard 6? and isn't there even a newer operating system?
Mac OS X 10.6 and Mac OS X 10.7 Lion requires a Mac with Intel Processor. You Mac is based on Power PC processor and not Intel.

Best Regards,
Ashik and other Mac Specialists are ready to help you